/*
   *Copyright:  

   ACEMod (2018--2021), The University of Sydney's invention disclosure CDIP Ref. 2019-123.
   Copyright   Oliver Cliff, Cameron Zachreson, Nathan Harding, Kristopher Fair, Mikhail Prokopenko, Mahendarajah Piraveenan

   AMTraC-19 (2020-201), The University of Sydney's invention disclosure CDIP 2020-018 (2020).
   Copyright   Sheryl Chang, Nathan Harding, Cameron Zachreson, Oliver Cliff, Mikhail Prokopenko

   This code is released only for internal review by Nature Communications, manuscript: NCOMMS-21-29568.

   *EndCopyright:
*/

#include "statistical_areas.h"

/* Define the transmission probabilities we declared in the classes (static/constant for each statistical area type) */
std::vector<double> StatisticalLocalArea::independent_transmission_probability_;
std::vector<double> CensusDistrict::independent_transmission_probability_;
std::vector<double> WorkingGroup::independent_transmission_probability_;
std::vector< std::vector< double > > HouseholdCluster::independent_transmission_probability_matrix_;
std::vector< std::vector< double > > Household::independent_transmission_probability_matrix_; 

const std::vector<double> WorkingGroup::ORIG_TR_SIZE_( { 20.0, 450.0, 90.0, 22.6 } );
